Loading...
Searching...
No Matches
casacore::MSHistoryHandler Class Reference
ms package (libcasa_ms) » MeasurementSets_module » MeasurementSets_module_internal_classes

More...

`#include <MSHistoryHandler.h>`

## Public Member Functions

| MSHistoryHandler (MeasurementSet &ms, const String &app="")
| Construct the history handler from an ms.
MSHistoryHandler & | operator= (const MSHistoryHandler &other)
| ~MSHistoryHandler ()
| Destructor.
void | addMessage (const String &message, const String &cliComm="", const String &origin="")
| Add message and/or CLI command to the history table.
void | addMessage (LogIO &message, const String &cliComm="")
| In this version the LogIO object need to have a valid LogSink with messages in it.
void | addMessage (LogSinkInterface &sink, const String &cliComm="")
void | cliCommand (const String &cliComm)
void | cliCommand (LogIO &cliComm)
void | cliCommand (LogSinkInterface &sink)

## Static Public Member Functions

static void | addMessage (MeasurementSet &ms, const String &message, const String &app="", const String &cliComm="", const String &origin="")
| Add a string message.

## Private Member Functions

| MSHistoryHandler ()
| Prevent use of default constructor.

## Private Attributes

MSHistoryColumns * | msHistCol_p
MSHistory | histTable_p
String | application_p

## Detailed Description

A class to provide a simple interface to history writing

### Intended use:

Internal

### Etymology

Handle the history info that needs to be archived in ms

### Synopsis

This class provides access to the MS history via single method calls One of the methods is static and can be called on a MeasurementSet without constructing any MSHistoryHandler objects.

Definition at line 53 of file MSHistoryHandler.h.

## Constructor & Destructor Documentation

## MSHistoryHandler() [1/2]

casacore::MSHistoryHandler::MSHistoryHandler | ( | MeasurementSet & | ms,
|  | const String & | app = "" )

Construct the history handler from an ms.

Referenced by operator=().

## ~MSHistoryHandler()

casacore::MSHistoryHandler::~MSHistoryHandler | ( |  | ) |

Destructor.

## MSHistoryHandler() [2/2]

casacore::MSHistoryHandler::MSHistoryHandler | ( |  | ) |

inline private

Prevent use of default constructor.

Definition at line 90 of file MSHistoryHandler.h.

## Member Function Documentation

## addMessage() [1/4]

void casacore::MSHistoryHandler::addMessage | ( | const String & | message,
|  | const String & | cliComm = "",
|  | const String & | origin = "" )

Add message and/or CLI command to the history table.

It does not flush the table (the destructor will flush).

## addMessage() [2/4]

void casacore::MSHistoryHandler::addMessage | ( | LogIO & | message,
|  | const String & | cliComm = "" )

In this version the LogIO object need to have a valid LogSink with messages in it.

## addMessage() [3/4]

void casacore::MSHistoryHandler::addMessage | ( | LogSinkInterface & | sink,
|  | const String & | cliComm = "" )

## addMessage() [4/4]

void casacore::MSHistoryHandler::addMessage | ( | MeasurementSet & | ms,
|  | const String & | message,
|  | const String & | app = "",
|  | const String & | cliComm = "",
|  | const String & | origin = "" )

static

Add a string message.

This method does not need construction...can be called explicitly it flushes the history table of the ms

## cliCommand() [1/3]

void casacore::MSHistoryHandler::cliCommand | ( | const String & | cliComm | ) |

## cliCommand() [2/3]

void casacore::MSHistoryHandler::cliCommand | ( | LogIO & | cliComm | ) |

## cliCommand() [3/3]

void casacore::MSHistoryHandler::cliCommand | ( | LogSinkInterface & | sink | ) |

## operator=()

MSHistoryHandler & casacore::MSHistoryHandler::operator= | ( | const MSHistoryHandler & | other | ) |

References MSHistoryHandler().

## Member Data Documentation

## application_p

String casacore::MSHistoryHandler::application_p

private

Definition at line 94 of file MSHistoryHandler.h.

## histTable_p

MSHistory casacore::MSHistoryHandler::histTable_p

private

Definition at line 93 of file MSHistoryHandler.h.

## msHistCol_p

MSHistoryColumns* casacore::MSHistoryHandler::msHistCol_p

private

Definition at line 92 of file MSHistoryHandler.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSHistoryHandler.h